Subject: Re: [PATCH v6 04/11] builtin: add new "history" command

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 2 Dec 2025 19:48:18 +0100

On Wed, Nov 19, 2025 at 11:02:20PM -0800, Elijah Newren wrote:
> In addition to what Phillip commented on...
> 
> On Mon, Oct 27, 2025 at 4:34 AM Patrick Steinhardt <[email-masked]> wrote:
> >
> > When rewriting history via git-rebase(1) there are a couple of very
> > common use cases:
> >
> >   - The ordering of two commits should be reversed.
> >
> >   - A commit should be split up into two commits.
> >
> >   - A commit should be dropped from the history completely.
> >
> >   - Multiple commits should be squashed into one.
> >
> > While these operations are all doable, it often feels needlessly kludgey
> > to do so by doing an interactive rebase, using the editor to say what
> > one wants, and then perform the actions. Furthermore, some operations
> > like splitting up a commit into two are way more involved than that and
> > require a whole series of commands.
> >
> > Add a new "history" command to plug this gap. This command will have
> > several different subcommands to imperatively rewrite history for common
> > use cases like the above. These subcommands will be implemented in
> > subsequent commits.
> 
> "...*Some of* these subcommands will be implemented...", right?  You
> only implement two of them in this series, not all of them, or am I
> reading wrong?

No, you're right. The initial versions of this series implemented more
of the above commands, but at no point in time did we actually implement
all of them.

Patrick